Ticket #4013 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

レビュー検索のページャのURLがエンコードされていない

Reported by: kiwa Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.14.1
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.13 Cc:

Description (Last modified by kiwa)

現象

レビュー検索(pc_page_h_review_search)にて、日本語のキーワードでレビュー検索を行った場合、URLのキーワードがエンコードされない。

ページャのリンク先もエンコードもエンコードされていないため、「次を表示」を押下したときにキーワードが保持されない。

再現手順

Windows XP SP3 IE6 で再現。

  1. レビュー検索(pc_page_h_review_search)を開く
  2. 検索キーワードに20件以上該当する日本語のキーワードを入力する
  3. 「検索」ボタンを押下する
  4. 2で入力したキーワードに該当したデータが表示された状態で「次を表示」を押下する
  5. キーワードが文字化けしてしまい、4で表示された検索内容と一致しない結果が表示される

原因

ページャのリンクにあるキーワードがエンコードされていなかった。

修正内容

ページャのリンクにあるキーワードが、URL用にエンコードが行われた状態になるよう修正。

関連情報

Change History

06/18/09 17:38:35 changed by kiwa

  • milestone set to OpenPNE2.12.13.

来月の安定版で対応します。2.14のバージョンは空欄にしておきます。

07/13/09 14:34:35 changed by kiwa

  • keywords set to OpenPNE2.14.1.
  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

やります。

07/13/09 17:28:55 changed by kiwa

  • keywords changed from OpenPNE2.14.1 to OpenPNE2.14.1 確認中.

ひとまず2.12にのみ対応しました。

07/13/09 17:33:09 changed by kiwa

stable-2.14.x, trunk には2.14.0リリース後に反映させます。

07/14/09 15:06:30 changed by shingo

  • keywords changed from OpenPNE2.14.1 確認中 to OpenPNE2.14.1 差し戻し.

修正箇所は問題なさそうですが以下の箇所でも同様の現象が起こっている可能性があります。確認願います。

  • webapp/modules/ktai/templates/fh_diary_list.tpl
  • webapp/modules/ktai/templates/h_message_box.tpl

07/14/09 16:12:19 changed by kiwa

  • keywords changed from OpenPNE2.14.1 差し戻し to OpenPNE2.14.1 確認中.

以下のリビジョンで携帯版にてページャ内のキーワードがエンコードされていなかったのを修正しました。

07/14/09 17:39:02 changed by shingo

  • keywords changed from OpenPNE2.14.1 確認中 to OpenPNE2.14.1 テスト待ち.

確認しました

07/15/09 19:05:12 changed by kiwa

  • keywords changed from OpenPNE2.14.1 テスト待ち to OpenPNE2.12.13 テスト待ち.
  • milestone changed from OpenPNE2.12.13 to OpenPNE2.14.1.

07/16/09 15:41:22 changed by kiwa

  • description changed.

07/16/09 15:59:44 changed by imamura623

  • keywords changed from OpenPNE2.12.13 テスト待ち to OpenPNE2.12.13.
  • status changed from assigned to closed.
  • resolution set to fixed.

動作確認しました

  • IEテスターなどのシミュレーターで確認しました(IE6、IE7、IE8)
  • ページャのリンク先をクリックして遷移してもキーワードが保持されることを確認

問題無いようなのでこのチケットを閉じます。